Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.localsearch
Class LocalSearchSolverPhaseConfig

    java.lang.Object
      org.drools.planner.config.phase.SolverPhaseConfig
          org.drools.planner.config.localsearch.LocalSearchSolverPhaseConfig

    public class LocalSearchSolverPhaseConfig

extends SolverPhaseConfig

Constructor Summary
`LocalSearchSolverPhaseConfig()`

Method Summary
`LocalSearchSolverPhase` | `buildSolverPhase(int phaseIndex, EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)`
`AcceptorConfig` | `getAcceptorConfig()`
`ForagerConfig` | `getForagerConfig()`
`List<MoveSelectorConfig>` | `getMoveSelectorConfigList()`
`void` | `inherit(LocalSearchSolverPhaseConfig inheritedConfig)`
`void` | `setAcceptorConfig(AcceptorConfig acceptorConfig)`
`void` | `setForagerConfig(ForagerConfig foragerConfig)`
`void` | `setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)`

Methods inherited from class org.drools.planner.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchSolverPhaseConfig

    public LocalSearchSolverPhaseConfig()

Method Detail

### getMoveSelectorConfigList

    public List<MoveSelectorConfig> getMoveSelectorConfigList()

### setMoveSelectorConfigList

    public void setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)

### getAcceptorConfig

    public AcceptorConfig getAcceptorConfig()

### setAcceptorConfig

    public void setAcceptorConfig(AcceptorConfig acceptorConfig)

### getForagerConfig

    public ForagerConfig getForagerConfig()

### setForagerConfig

    public void setForagerConfig(ForagerConfig foragerConfig)

### buildSolverPhase

    public LocalSearchSolverPhase buildSolverPhase(int phaseIndex,
                                                   EnvironmentMode environmentMode,
                                                   SolutionDescriptor solutionDescriptor,
                                                   ScoreDefinition scoreDefinition,
                                                   Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(LocalSearchSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.